Bug 26241 - [4.8/4.9/5/6 Regression] None of the IPA passes are documented in passes.texi
Summary: [4.8/4.9/5/6 Regression] None of the IPA passes are documented in passes.texi
Status: NEW
Alias: None
Product: gcc
Classification: Unclassified
Component: middle-end (show other bugs)
Version: 4.2.0
: P5 normal
Target Milestone: 4.8.5
Assignee: Not yet assigned to anyone
URL:
Keywords: documentation
Depends on:
Blocks: 951
  Show dependency treegraph
 
Reported: 2006-02-12 19:35 UTC by Andrew Pinski
Modified: 2014-12-19 13:36 UTC (History)
2 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed: 2010-03-21 12:09:10


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Pinski 2006-02-12 19:35:40 UTC
NEXT_PASS (pass_ipa_cp);
  NEXT_PASS (pass_ipa_inline);
  NEXT_PASS (pass_ipa_reference);
  NEXT_PASS (pass_ipa_pure_const);
  NEXT_PASS (pass_ipa_type_escape);

I looked for everyone of these in passes.texi and could not find them.
Comment 1 Mark Mitchell 2006-02-14 09:05:06 UTC
This will never be release-critical.
Comment 2 Mark Mitchell 2006-05-25 02:36:41 UTC
Will not be fixed in 4.1.1; adjust target milestone to 4.1.2.
Comment 3 Joseph S. Myers 2008-07-04 20:19:22 UTC
Closing 4.1 branch.
Comment 4 Joseph S. Myers 2009-03-31 19:29:56 UTC
Closing 4.2 branch.
Comment 5 Richard Biener 2009-08-04 12:27:33 UTC
GCC 4.3.4 is being released, adjusting target milestone.
Comment 6 Steven Bosscher 2010-03-21 12:09:10 UTC
I believe this should be fixed for GCC 4.5. Setting to P3 to ask release managers for their opinion.
Comment 7 Richard Biener 2010-03-22 09:59:42 UTC
As always, patches welcome.  Internal documentation is not release critical
(and we've historically been not very good in keeping it up-to-date).
Comment 8 Richard Biener 2010-05-22 18:10:57 UTC
GCC 4.3.5 is being released, adjusting target milestone.
Comment 9 Richard Biener 2011-06-27 12:14:24 UTC
4.3 branch is being closed, moving to 4.4.7 target.
Comment 10 Jakub Jelinek 2012-03-13 12:47:51 UTC
4.4 branch is being closed, moving to 4.5.4 target.
Comment 11 Jakub Jelinek 2013-04-12 15:16:59 UTC
GCC 4.6.4 has been released and the branch has been closed.
Comment 12 Richard Biener 2014-06-12 13:46:47 UTC
The 4.7 branch is being closed, moving target milestone to 4.8.4.
Comment 13 Jakub Jelinek 2014-12-19 13:36:13 UTC
GCC 4.8.4 has been released.